//Version 0.1


import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JFormattedTextField;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;

public class VariablesNames extends JPanel implements ActionListener 
{

	private static final long serialVersionUID = 1L;
	JTextField[] nameFields;
	int nbVar;
	JButton checkButton;
	UncertaintyMachine uMachine;
	String[] names = { 
			  "x0"
			, "x1"
			, "x2"
			, "x3"
			, "x4"
			, "x5"
			, "x6"
			, "x7"
			, "x8"
			, "x9"
			, "x10"
			, "x11"
			, "x12"
			, "x13"
			, "x14"
			, "x15"
			};

	public VariablesNames()
	{

	}
	public String getName(int i) {

		return names[i];
	}
	public void setName(int i,String nameIn) {
		nameFields[i].setText(nameIn);
		names[i]=nameIn;
	}
	public VariablesNames(int nbVarin,UncertaintyMachine uMachinein)
	{
		nbVar=nbVarin;
		uMachine=uMachinein;
		nameFields = new JTextField[nbVar];


		this.add(new JLabel("Names of input quantities"));
		for(int ii=0;ii<nbVar;ii++)
		{
			nameFields[ii] = new JFormattedTextField();
			nameFields[ii].setColumns(5);
			nameFields[ii].setText(names[ii]);
			nameFields[ii].setFont(uMachine.getFontForm());
			this.add(nameFields[ii]);
		}
		
		checkButton = new JButton("Update quantity names");
		checkButton.addActionListener(this);
		
		this.add(checkButton);
	}



	public void actionPerformed(ActionEvent e) {

		if (e.getSource() == checkButton) {
			for(int ii=0;ii<nbVar;ii++)
			{
				names[ii]=nameFields[ii].getText().trim();
			}
			uMachine.updateVarNames();
		}
	}
}

