is.installed <- function(mypkg) is.element(mypkg, installed.packages()[,1]) 

# Multiple attempts at each package install appear necessary to allow for
# interactions between antivirus or other software that impact the ability
# to move the package to its permanent subdirectory. Specifying destdir
# to be a library directory may to help, but does not to completely solve
# the problem so it is not currently being used.

cnt <- 1
maxTry <- 2
while(!is.installed("mvtnorm")) 
{
if(cnt>maxTry) break
install.packages("mvtnorm",repos="http://cran.case.edu")
cnt <- cnt+1
}

cnt <- 1
while(!is.installed("nleqslv"))
{
if(cnt>maxTry) break
install.packages("nleqslv",repos="http://cran.case.edu")
cnt <- cnt+1
}

cnt <- 1
while(!is.installed("numDeriv"))
{
if(cnt>maxTry) break
install.packages("numDeriv",repos="http://cran.case.edu")
cnt <- cnt+1
}

cnt <- 1
while(!is.installed("triangle"))
{
if(cnt>maxTry) break
install.packages("triangle",repos="http://cran.case.edu")
cnt <- cnt+1
}

cnt <- 1
while(!is.installed("truncnorm"))
{
if(cnt==maxTry) break
install.packages("truncnorm",repos="http://cran.case.edu",destdir=.libPaths()[1])
cnt <- cnt+1
}
